#pragma once

#include "CoreMinimal.h"
#include "EPlayerRole.h"
#include "SharedPerksTooltipViewData.generated.h"

USTRUCT(BlueprintType)
struct FSharedPerksTooltipViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	EPlayerRole PlayerRole;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsCharacterTemporarilyOwned;

public:
	DBDUIVIEWINTERFACES_API FSharedPerksTooltipViewData();
};

FORCEINLINE uint32 GetTypeHash(const FSharedPerksTooltipViewData) { return 0; }
